# Little Data Preprocessor

Welcome to Little Data Preprocessor! This Python package provides utility functions to aid in the preprocessing stages of machine learning and deep learning implementation. With a focus on ease of use and efficiency, it offers functions for handling missing values, removing infinity values, checking data integrity, and more.

## Features

- **Drop Columns Based on Mean:** Easily drop columns with a mean value of zero from your DataFrame.
- **Drop Infinity Columns:** Replace infinity values with NaN and drop rows containing these values.
- **Write Column Datatypes to Text File:** Export the datatypes of each column in your DataFrame to a text file.
- **DataFrame Integrity Check:** Perform comprehensive checks on your DataFrame for NaN values, infinity values, duplicates, and more.

## Installation

You can install Little Data Preprocessor using pip:

```bash
pip install little_data_preprocessor
```
